net.Receive("SuR.BuyMenu", function(len, ply)
    local item = net.ReadString()
    if ply:GetNWFloat('CanCallSupport') <= 0 then return end

    local price = 0
    if table.HasValue(SuR.Config.TierWeapons["Tier2"], item) then price = SuR.Config.Tier2_Price end
    if table.HasValue(SuR.Config.TierWeapons["Tier3"], item) then price = SuR.Config.Tier3_Price end
    if table.HasValue(SuR.Config.TierWeapons["Tier4"], item) then price = SuR.Config.Tier4_Price end
    if table.HasValue(SuR.Config.TierWeapons["Tier5"], item) then price = SuR.Config.Tier5_Price end
    if price == 0 or ply:GetNWInt('Money') < price then return end

    ply:SetNWFloat('CanCallSupport', ply:GetNWFloat('CanCallSupport')-1)
    ply:SetNWInt('Money', ply:GetNWInt('Money')-price)
    ply:Give(item)
end)